/*
 * Created on 13 fvr. 2005
 *
 */

/**
 * @author remi
 *
 */
public class Immatriculation {
  
  // private car un champs ne doit pas tre visible de l'extrieur
  // final car la valeur des champs ne change pas ou cours de
  // la vie de l'objet
  private final String plaque;
  private final String departement;
  
  public Immatriculation(String plaque,String departement){
    this.plaque=plaque;
    this.departement=departement; 
  }
  
  
  public String getDepartement(){
    return departement; 
  }
  
  // @Override est une annotation qui indique que l'on redfinie
  // une mthode (ici. Object.toString())
  // les annotation se place au mme endroit que les modificateurs
  // d'accessibilit (private, public etc)
  public @Override String toString(){
    // ici on peut crire 
    //return plaque+" "+departement;
    // ou utiliser un caractre ' ' plutot qu'une chaine " "
    // car plaque est dj une chaine de caractre
    return plaque+' '+departement;
  }
  
  public static void main(String[] argv){ 
    Immatriculation Immat = new Immatriculation("748 CKA","77");
    System.out.println(Immat);
    System.out.println("taxe = "+CalculTaxe.calculTaxe(Immat)); 
  }
}
