/*
 * Created on 13 fvr. 2005
 *
 */

/**
 * @author remi
 *
 */
public class Voiture {
  private final Immatriculation immat;
  private final String couleur;
  private final String conducteur;  
  
  public Voiture(Immatriculation immat,String couleur,String conducteur){  
    this.couleur=couleur;
    this.immat=immat;
    this.conducteur=conducteur;
  }
  
  public Voiture(Immatriculation imat,String conducteur){
    // appel un autre constructeur se fait en utilisant this
    this(imat,"blanc",conducteur);
  }
  
  public @Override String  toString(){
    return immat.toString()+' '+couleur+' '+conducteur;
    // ou
    // return imatV+" "+couleurV+' '+conducteur;
  }
  
  public Immatriculation getImmatriculation() {
    return immat;
  }
  
  // facteur multiplicatif qui sert pour CalculTaxe
  // cette mthode n'est pas publique car elle sert uniquement
  // dans le calcul interne de la taxe
  double facteurTaxe(){
    return 1.0;  
  }
}
